### Hierarchy

- IStandardOrderCreationRequest

## Index

### Properties

- ecSignature
- exchangeContractAddress
- expirationUnixTimestampSec
- feeRecipient
- maker
- makerFee
- makerTokenAddress
- makerTokenAmount
- salt
- taker
- takerFee
- takerTokenAddress
- takerTokenAmount

## Properties

### ecSignature

ecSignature: IEcSignature

- Defined in aqueduct.ts:452

Secure EC Signature

### exchangeContractAddress

exchangeContractAddress: string

- Defined in aqueduct.ts:444

Address of 0x exchange contract

### expirationUnixTimestampSec

expirationUnixTimestampSec: string

- Defined in aqueduct.ts:448

Unix timestamp when order expires

### feeRecipient

feeRecipient: string

- Defined in aqueduct.ts:440

Recipient of owed fees

### maker

maker: string

- Defined in aqueduct.ts:404

Order maker

### makerFee

makerFee: string

- Defined in aqueduct.ts:420

Fee owed by maker

### makerTokenAddress

makerTokenAddress: string

- Defined in aqueduct.ts:428

Address of maker token

### makerTokenAmount

makerTokenAmount: string

- Defined in aqueduct.ts:412

Amount of maker token in trade

### salt

salt: string

- Defined in aqueduct.ts:436

Secure salt

### taker

taker: string

- Defined in aqueduct.ts:408

Order taker; should generally be the null address (0x000...) in the case of ERC dEX

### takerFee

takerFee: string

- Defined in aqueduct.ts:424

Fee owed by taker

### takerTokenAddress

takerTokenAddress: string

- Defined in aqueduct.ts:432

Address of taker token

### takerTokenAmount

takerTokenAmount: string

- Defined in aqueduct.ts:416

Amount of taker token in trade

Generated using TypeDoc